<html>
<head>
<title>Ogre::StringSerialiser Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::StringSerialiser Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::StringSerialiser" -->
<p>Serializes data values into a string using sprintf functions.  
 <a href="classOgre_1_1StringSerialiser.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreStringSerialiser_8h_source.html">OgreStringSerialiser.h</a>&gt;</code></p>

<p><a href="classOgre_1_1StringSerialiser-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#a4d5080ba96d8f2726c2601276371a369">StringSerialiser</a> (size_t size=0)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Initializes the serialiser with a starting buffer size.  <a href="#a4d5080ba96d8f2726c2601276371a369"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#a02fa4abbf179018c0a2334cf73a000d6">~StringSerialiser</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#aeca80d9f6671813308d3d48f052653cb">str</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the generated string.  <a href="#aeca80d9f6671813308d3d48f052653cb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#a03d276aeaeb04508bdbb0c4df1fc26f7">operator&lt;&lt;</a> (const char *<a class="el" href="classOgre_1_1StringSerialiser.html#aeca80d9f6671813308d3d48f052653cb">str</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#a8694cb61e62b787384d0da3cca154274">operator&lt;&lt;</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;<a class="el" href="classOgre_1_1StringSerialiser.html#aeca80d9f6671813308d3d48f052653cb">str</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#a2d1b802a756b26977473891dec73a63a">operator&lt;&lt;</a> (char val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#a18395ee44e44d46f13eff325ee9a966f">operator&lt;&lt;</a> (short val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#a5cb7262ee6662001533f52597f9bcd47">operator&lt;&lt;</a> (int val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#a2e93db5b1e291d30934d5751c7baea53">operator&lt;&lt;</a> (unsigned char val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#aafce5c419a419a212b91ba9492043752">operator&lt;&lt;</a> (unsigned short val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#a187c54901204b417bdb489c2ace6a393">operator&lt;&lt;</a> (unsigned int val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#afd4213259e855af1d5d4295a1e0ba078">operator&lt;&lt;</a> (float val)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#a90540cda38b459387a59396a7b6d3c35">operator&lt;&lt;</a> (double val)</td></tr>
<tr><td colspan="2"><h2><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#ad896a275184946ebc1235101f47df89f">growBuffer</a> (size_t n)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#acb441dcef1500df7a11251f6d1b94745">mBuffer</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#a49a8ed7a93f0d2aefeeeb51d32be6ed6">mBufferSize</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1StringSerialiser.html#a9a81511ae24f116a92ee7a1951a5e3ae">mTotalSize</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Serializes data values into a string using sprintf functions. </p>

<p>Definition at line <a class="el" href="OgreStringSerialiser_8h_source.html#l00036">36</a> of file <a class="el" href="OgreStringSerialiser_8h_source.html">OgreStringSerialiser.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a4d5080ba96d8f2726c2601276371a369"></a><!-- doxytag: member="Ogre::StringSerialiser::StringSerialiser" ref="a4d5080ba96d8f2726c2601276371a369" args="(size_t size=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StringSerialiser.html#a4d5080ba96d8f2726c2601276371a369">Ogre::StringSerialiser::StringSerialiser</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>size</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Initializes the serialiser with a starting buffer size. </p>

</div>
</div>
<a class="anchor" id="a02fa4abbf179018c0a2334cf73a000d6"></a><!-- doxytag: member="Ogre::StringSerialiser::~StringSerialiser" ref="a02fa4abbf179018c0a2334cf73a000d6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StringSerialiser.html#a02fa4abbf179018c0a2334cf73a000d6">Ogre::StringSerialiser::~StringSerialiser</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ad896a275184946ebc1235101f47df89f"></a><!-- doxytag: member="Ogre::StringSerialiser::growBuffer" ref="ad896a275184946ebc1235101f47df89f" args="(size_t n)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1StringSerialiser.html#ad896a275184946ebc1235101f47df89f">Ogre::StringSerialiser::growBuffer</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>n</em></td><td>)</td>
          <td><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a03d276aeaeb04508bdbb0c4df1fc26f7"></a><!-- doxytag: member="Ogre::StringSerialiser::operator&lt;&lt;" ref="a03d276aeaeb04508bdbb0c4df1fc26f7" args="(const char *str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a>&amp; Ogre::StringSerialiser::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>str</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8694cb61e62b787384d0da3cca154274"></a><!-- doxytag: member="Ogre::StringSerialiser::operator&lt;&lt;" ref="a8694cb61e62b787384d0da3cca154274" args="(const String &amp;str)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a>&amp; Ogre::StringSerialiser::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>str</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2d1b802a756b26977473891dec73a63a"></a><!-- doxytag: member="Ogre::StringSerialiser::operator&lt;&lt;" ref="a2d1b802a756b26977473891dec73a63a" args="(char val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a>&amp; Ogre::StringSerialiser::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">char&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a18395ee44e44d46f13eff325ee9a966f"></a><!-- doxytag: member="Ogre::StringSerialiser::operator&lt;&lt;" ref="a18395ee44e44d46f13eff325ee9a966f" args="(short val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a>&amp; Ogre::StringSerialiser::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">short&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a5cb7262ee6662001533f52597f9bcd47"></a><!-- doxytag: member="Ogre::StringSerialiser::operator&lt;&lt;" ref="a5cb7262ee6662001533f52597f9bcd47" args="(int val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a>&amp; Ogre::StringSerialiser::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2e93db5b1e291d30934d5751c7baea53"></a><!-- doxytag: member="Ogre::StringSerialiser::operator&lt;&lt;" ref="a2e93db5b1e291d30934d5751c7baea53" args="(unsigned char val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a>&amp; Ogre::StringSerialiser::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">unsigned char&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aafce5c419a419a212b91ba9492043752"></a><!-- doxytag: member="Ogre::StringSerialiser::operator&lt;&lt;" ref="aafce5c419a419a212b91ba9492043752" args="(unsigned short val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a>&amp; Ogre::StringSerialiser::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">unsigned short&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a187c54901204b417bdb489c2ace6a393"></a><!-- doxytag: member="Ogre::StringSerialiser::operator&lt;&lt;" ref="a187c54901204b417bdb489c2ace6a393" args="(unsigned int val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a>&amp; Ogre::StringSerialiser::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="afd4213259e855af1d5d4295a1e0ba078"></a><!-- doxytag: member="Ogre::StringSerialiser::operator&lt;&lt;" ref="afd4213259e855af1d5d4295a1e0ba078" args="(float val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a>&amp; Ogre::StringSerialiser::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a90540cda38b459387a59396a7b6d3c35"></a><!-- doxytag: member="Ogre::StringSerialiser::operator&lt;&lt;" ref="a90540cda38b459387a59396a7b6d3c35" args="(double val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1StringSerialiser.html">StringSerialiser</a>&amp; Ogre::StringSerialiser::operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>val</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aeca80d9f6671813308d3d48f052653cb"></a><!-- doxytag: member="Ogre::StringSerialiser::str" ref="aeca80d9f6671813308d3d48f052653cb" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1StringSerialiser.html#aeca80d9f6671813308d3d48f052653cb">Ogre::StringSerialiser::str</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the generated string. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="acb441dcef1500df7a11251f6d1b94745"></a><!-- doxytag: member="Ogre::StringSerialiser::mBuffer" ref="acb441dcef1500df7a11251f6d1b94745" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">char* <a class="el" href="classOgre_1_1StringSerialiser.html#acb441dcef1500df7a11251f6d1b94745">Ogre::StringSerialiser::mBuffer</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStringSerialiser_8h_source.html#l00039">39</a> of file <a class="el" href="OgreStringSerialiser_8h_source.html">OgreStringSerialiser.h</a>.</p>

</div>
</div>
<a class="anchor" id="a49a8ed7a93f0d2aefeeeb51d32be6ed6"></a><!-- doxytag: member="Ogre::StringSerialiser::mBufferSize" ref="a49a8ed7a93f0d2aefeeeb51d32be6ed6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1StringSerialiser.html#a49a8ed7a93f0d2aefeeeb51d32be6ed6">Ogre::StringSerialiser::mBufferSize</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStringSerialiser_8h_source.html#l00040">40</a> of file <a class="el" href="OgreStringSerialiser_8h_source.html">OgreStringSerialiser.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9a81511ae24f116a92ee7a1951a5e3ae"></a><!-- doxytag: member="Ogre::StringSerialiser::mTotalSize" ref="a9a81511ae24f116a92ee7a1951a5e3ae" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1StringSerialiser.html#a9a81511ae24f116a92ee7a1951a5e3ae">Ogre::StringSerialiser::mTotalSize</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreStringSerialiser_8h_source.html#l00040">40</a> of file <a class="el" href="OgreStringSerialiser_8h_source.html">OgreStringSerialiser.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreStringSerialiser_8h_source.html">OgreStringSerialiser.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:08
</p>
</body>
</html>
